Skip to main content
PATCH

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

fileId
string<uuid>
required

File identifier

Body

application/json
name
string

New file name

folderId
string<uuid> | null

New folder ID, or null to move to root

Response

File updated successfully

A file stored in the company file system

id
string<uuid>

File identifier

name
string

File name

mimeType
string | null

MIME type of the file

category
string | null

Optional category label

entityId
string | null

Related entity ID (if attached to an entity)

entityName
string | null

Related entity name (if attached to an entity)

uploadedAt
string<date-time> | null

When the file was uploaded (ISO 8601)

userDate
string<date-time> | null

User-specified date for the file (ISO 8601)